package edu.stanford.cs247;


import android.content.Context;
import android.graphics.Canvas;
import android.view.View;

/**
 * A simple view that fills the screen with a single color.
 */
public class AmbientDisplay extends View {
	
	int r, g, b, a = 128;
	
	public AmbientDisplay(Context context) {
		super(context);
	}
	
	public void setColor(int r, int g, int b, int a) {
		this.r = r;
		this.g = g;
		this.b = b;
		this.a = a;
		this.postInvalidate();
	}
	
	public void setColor(int r, int g, int b) {
		setColor(r, g, b, 255);
	}
	
	//@Override
	protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawARGB(a, r, g, b);
	}
	
}
