package edu.stanford.cs247.util;

import android.os.Handler;
import android.os.Message;
import edu.stanford.cs247.AmbientDisplay;

public class ColorHandler extends Handler {
	
	private AmbientDisplay mDisplay;
	private int r = 255, g = 255, b = 255, increment = 1;
	
	public ColorHandler(AmbientDisplay ad) {
		mDisplay = ad;
	}
	
	public void start() {
		sleep(5);
	}
	
    //@Override
    public void handleMessage(Message msg) {
    	if (b == 0) {
    		increment = 1;
    	} else if (b == 255) {
    		increment = -1;
    	}
    	g += increment;
    	b += increment;
    	mDisplay.setColor(r, g, b);
    	sleep(20);
    }

    private void sleep(long delayMillis) {
    	this.removeMessages(0);
        sendMessageDelayed(obtainMessage(0), delayMillis);
    }
};
